Package com.sun.jna.platform.win32.COM.util

# Interface IRunningObjectTable

All Known Implementing Classes:
  `RunningObjectTable`

public interface IRunningObjectTable
Java friendly version of `IRunningObjectTable`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterable<IDispatch>`
  `enumRunning()`
  Creates and returns an enumerator of all the objects currently registered in the running object table (ROT).
  `<T> List<T>`
  `getActiveObjectsByInterface(Class<T> comInterface)`
  Gets all the active (running) objects that support the give interface.

- ## Method Details

  - ### enumRunning

    Iterable<IDispatch> enumRunning()
    Creates and returns an enumerator of all the objects currently registered in the running object table (ROT).

  - ### getActiveObjectsByInterface

    <T> List<T> getActiveObjectsByInterface(Class<T> comInterface)
    Gets all the active (running) objects that support the give interface.

    Enumerates the running objects (via enumRunning), and returns a list of those for which queryInterface(iid) gives a valid result.

    Parameters:
      `comInterface` -
    Returns:
      active objects